chooseToPlot = input('Want to PLOT results? 1 (yes) 0 (no) : ');
close all;
time = length(tau);

Pods_ktp = [1/sqrt(6.4645*10^(-6)), 1/sqrt(4.4819*10^(-6))];
Bau_ktp = [1/sqrt(3.1817*10^(-7)), 1/sqrt(4.2357*10^(-7))];
powerThrustRelation_Vec = [41.9190; 1.5844; 1.5844];
ly = [0, 0.123, -0.123];
lx = [0.55, -0.875, -0.875];

nt = 3;
na = 3;
ns = 3;
fromTime = 600;
toTime = 1200;



%% QpOASES
if(chooseToPlot == 1)
    
    [tauFromIndex, tauToIndex] = findIndexfromTime(tau(1,:),fromTime,toTime);
    tau_c_plot_qpOASES = zeros(length(tauFromIndex:tauToIndex),nt);
    for i = 1:length(tauFromIndex:tauToIndex)
        tau_c_plot_qpOASES(i,:) = [tau(2,i+tauFromIndex-1), tau(3,i+tauFromIndex-1), tau(4,i+tauFromIndex-1)];
    end
    
    [allocFromIndex, allocToIndex] = findIndexfromTime(alloc(1,:),fromTime,toTime);
    T_qpOASES_plot = zeros(length(allocFromIndex:allocToIndex), nt);
    Alpha_qpOASES_plot = zeros(length(allocFromIndex:allocToIndex), na);
    tau_d_plot_qpOASES = zeros(length(allocFromIndex:allocToIndex), 3);
    for i = 1:length(allocFromIndex:allocToIndex)
        T_qpOASES_plot(i,:) = [alloc(4,i+allocFromIndex-1), alloc(3,i+allocFromIndex-1), alloc(2,i+allocFromIndex-1)];
        Alpha_qpOASES_plot(i,:) = [alloc(8,i+allocFromIndex-1), alloc(7,i+allocFromIndex-1), alloc(6,i+allocFromIndex-1)];
        tau_d_plot_qpOASES(i,:) = calcB(Alpha_qpOASES_plot(i,:), ly, lx)*T_qpOASES_plot(i,:)';
    end
       
    [alphameasFromIndex, alphameasToIndex] = findIndexfromTime(raw_thruster_data(1,:),fromTime,toTime);
    Alpha_qpOASES_plot_meas = zeros(length(alphameasFromIndex:alphameasToIndex),na);
    for i = 1:length(alphameasFromIndex:alphameasToIndex)
        Alpha_qpOASES_plot_meas(i,:) = [raw_thruster_data(8,i+alphameasFromIndex-1), raw_thruster_data(7,i+alphameasFromIndex-1), raw_thruster_data(6,i+alphameasFromIndex-1)];
    end
    
    [posFromIndex, posToIndex] = findIndexfromTime(Pos(1,:),fromTime,toTime);
    Pos_plot_meas = zeros(length(posFromIndex:posToIndex),3);
    for i = 1:length(posFromIndex:posToIndex)
        %Eta_ref = [0,-1,0];
        Pos_plot_meas(i,:) = [Pos(2,i+posFromIndex-1), Pos(3,i+posFromIndex-1)+1, (180/pi).*Pos(7,i+posFromIndex-1)];
    end
    
    
    [rawThrusterDataFromIndex, rawThrusterDataToIndex] = findIndexfromTime(raw_thruster_data(1,:), fromTime, toTime);
    power_n = zeros(length(rawThrusterDataFromIndex:rawThrusterDataToIndex),1);
    for i = 1:length(rawThrusterDataFromIndex:rawThrusterDataToIndex)
        Bau_power = powerThrustRelation_Vec(1)*((abs(raw_thruster_data(4,i+rawThrusterDataFromIndex-1)))/Bau_ktp(1))^3;
        right_pod_power = powerThrustRelation_Vec(2)*((abs(raw_thruster_data(3,i+rawThrusterDataFromIndex-1)))/Pods_ktp(1))^3;
        left_pod_power = powerThrustRelation_Vec(3)*((abs(raw_thruster_data(2,i+rawThrusterDataFromIndex-1)))/Pods_ktp(1))^3;
        power_n(i) =  Bau_power + right_pod_power + left_pod_power;
    end
    
    
    
    %Position
    figure('name','Position');
    hold on;
    grid on;

    plot(Pos_plot_meas(:,2),Pos_plot_meas(:,1))
    set(0,'DefaultAxesColorOrder',[1 0 0],...
        'DefaultAxesLineStyleOrder','-|--|:|-.', 'defaultlinelinewidth',2)
    xlabel('Easth [m]');
    ylabel('North [m]');
    legend('Position');
    xmin = -0.15;
    xmax = 0.15;
    ymin = -0.15;
    ymax = 0.15;
    axis([ymin ymax xmin xmax]);
    
    %Heading
    figure('name','Heading');
    hold on;
    grid on;

    plot(Pos(1,posFromIndex:posToIndex),Pos_plot_meas(:,3))
    set(0,'DefaultAxesColorOrder',[1 0 0],...
        'DefaultAxesLineStyleOrder','-|--|:|-.', 'defaultlinelinewidth',2)
    xlabel('Time [s]');
    ylabel('Heading [DEG]');
    legend('Heading');
    ymin = min(Pos(1,posFromIndex:posToIndex));
    ymax = max(Pos(1,posFromIndex:posToIndex));
    xmin = -5;
    xmax = 5;
    axis([ymin ymax xmin xmax]);
    
    

    
    
    %Tau
    figure('name','tau_c and tau_d');
    hold on;
    grid on;
    for i=1:nt
        s = cell(1, size(nt,1));
        subplot(3,1,i)
        plot(tau(1,tauFromIndex:tauToIndex), tau_c_plot_qpOASES(:,i),'k')
        set(0,'DefaultAxesColorOrder',[1 0 0],...
            'DefaultAxesLineStyleOrder','-|--|:|-.', 'defaultlinelinewidth',2)
        xlabel('Time [s]');
        if(i == 1)
            ylabel('\tau_1 [N]');
            legend('\tau_d', '\tau_c');
        elseif(i==2)
            ylabel('\tau_2 [N]');
        else
            ylabel('\tau_3 [N]');
        end
        xmin = min(min(tau_c_plot_qpOASES(:,i),tau_d_plot_qpOASES(:,i)))-1e-14;
        xmax = max(max(tau_c_plot_qpOASES(:,i),tau_d_plot_qpOASES(:,i)))+1e-14;
        ymin = min(alloc(1,allocFromIndex:allocToIndex));
        ymax = max(alloc(1,allocFromIndex:allocToIndex));
        axis([ymin ymax xmin xmax]);
    end
    
    
    
    %Thrust
    figure('name','Thrust setpoint for thrusters');
    hold on;
    grid on;
    for i=1:nt
        s = cell(1, size(nt,1));
        subplot(3,1,i)
        plot(alloc(1,allocFromIndex:allocToIndex), T_qpOASES_plot(:,i),'k')
        set(0,'DefaultAxesColorOrder',[1 0 0],...
            'DefaultAxesLineStyleOrder','-|--|:|-.', 'defaultlinelinewidth',2)
        xlabel('Time [s]');
        ylabel('Thrust[N]');
        if(i == 1)
            legend('T_d');
            title('Bau Azimuth: T_d');
        elseif(i==2)
            title('Stern Starboard Pod: T_d');
        else
            title('Stern Port Pod: T_d');
        end
        xmin = min(T_qpOASES_plot(:,i))-1e-14;
        xmax = max(T_qpOASES_plot(:,i))+1e-14;
        ymin = min(alloc(1,allocFromIndex:allocToIndex));
        ymax = max(alloc(1,allocFromIndex:allocToIndex));
        axis([ymin ymax xmin xmax]);
    end
    
    
    %Azimuth angles       
    figure('name','Azimuth setpoint angles');
    hold on;
    grid on;
    for i=1:na
        s = cell(1, size(nt,1));
        
        subplot(3,1,i);
        if(i == 2)
            area(alloc(1,allocFromIndex:allocToIndex), 70*ones(length(allocFromIndex:allocToIndex),1), -159, 'FaceColor',[0 1 0]);
            hold on;
            area(alloc(1,allocFromIndex:allocToIndex), 150*ones(length(allocFromIndex:allocToIndex),1), 110, 'FaceColor',[0 1 0]);
        elseif(i == 3)
            area(alloc(1,allocFromIndex:allocToIndex), 159*ones(length(allocFromIndex:allocToIndex),1), -70, 'FaceColor',[0 1 0]);
            hold on;
            area(alloc(1,allocFromIndex:allocToIndex), -110*ones(length(allocFromIndex:allocToIndex),1), -150, 'FaceColor',[0 1 0]);
        end
        hold on;
        plot(raw_thruster_data(1,alphameasFromIndex:alphameasToIndex), Alpha_qpOASES_plot_meas(:,i),'r');
        plot(alloc(1,allocFromIndex:allocToIndex), Alpha_qpOASES_plot(:,i),'k');
        set(0,'DefaultAxesColorOrder',[1 0 0],...
            'DefaultAxesLineStyleOrder','-|--|:|-.', 'defaultlinelinewidth',2)
        xlabel('Time [s]');
        ylabel('\alpha [DEG]');
        if(i == 1)
            title('Bau Azimuth: \alpha_d (black) \alpha_{meas} (red)');
        elseif(i==2)
            title('Stern Starboard Pod: \alpha_d (black) \alpha_{meas} (red)');
        else
            title('Stern Port Pod: \alpha_d (black) \alpha_{meas} (red)');
        end
        %legend('Alpha_d', 'Alpha_{max}', 'Alpha_{min}');
        if(i == 1)
            xmin = 85;
            xmax = 95;
            ymin = min(alloc(1,allocFromIndex:allocToIndex));
            ymax = max(alloc(1,allocFromIndex:allocToIndex));
            axis([ymin ymax xmin xmax]);
        else
            xmin = -185;
            xmax = 185;
            ymin = min(alloc(1,allocFromIndex:allocToIndex));
            ymax = max(alloc(1,allocFromIndex:allocToIndex));
            axis([ymin ymax xmin xmax]);
        end
    end 
    
    %Power consumption estimation
    figure('name','Power consumption estimation');
    hold on;
    grid on;

    plot(raw_thruster_data(1,rawThrusterDataFromIndex:rawThrusterDataToIndex),power_n)
    set(0,'DefaultAxesColorOrder',[1 0 0],...
        'DefaultAxesLineStyleOrder','-|--|:|-.', 'defaultlinelinewidth',2)
    xlabel('Time [s]');
    ylabel('Power [W]');
    legend('Power\_{est} [W]');
    ymin = min(raw_thruster_data(1,rawThrusterDataFromIndex:rawThrusterDataToIndex));
    ymax = max(raw_thruster_data(1,rawThrusterDataFromIndex:rawThrusterDataToIndex));
    xmin = 0;
    xmax = max(power_n);
    axis([ymin ymax xmin xmax]);
end

