%+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 
% MC_Supply_1.m 
%
% Project:	"Marine Cybernetics Simulator: MCSim"
%
% Abstract:	Transfer function data for MarCyb Vessel 1: Supply vessel		
% 
% Inputs:	- 
%
% Outputs:	-
%
% Calls:	-
%						
% Author:	Oyvind Smogeli, Autumn 2002
%
% Revision:	-
%
%+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 

% TF Directions 
Dir_TF = [ 1        0
       2        15.0000
       3        30.0000
       4        45.0000
       5        60.0000
       6        90.0000
       7        120.000
       8        150.000
       9        180.000 ];

%------------------------------------------------------------------------------------
	
% TF Frequencies
Freq_TF = [ 1        .157080
       2        .251327
       3        .279253
       4        .314159
       5        .330694
       6        .349066
       7        .369599
       8        .392699
       9        .418879
      10        .448799
      11        .483322
      12        .523599
      13        .571199
      14        .598399
      15        .628319
      16        .661388
      17        .698132
      18        .739198
      19        .785398
      20        .837758
      21        .897598
      22        .966644
      23        1.04720
      24        1.14240
      25        1.25664
      26        1.39626
      27        1.57080
      28        2.09440 ];


%------------------------------------------------------------------------------------

% Surge transfer function
% Dir Freq Amp Phase

Surge_TF_Coefs = [    1       1          .9937             -90.00
       1       2          .9816             -90.00
       1       3          .9759             -90.00
       1       4          .9667             -90.00
       1       5          .9616             -90.00
       1       6          .9551             -90.00
       1       7          .9470             -90.00
       1       8          .9366             -90.00
       1       9          .9229             -90.00
       1      10          .9048             -90.00
       1      11          .8801             -90.00
       1      12          .8460             -90.00
       1      13          .7975             -90.00
       1      14          .7657             -90.00
       1      15          .7270             -91.00
       1      16          .6798             -91.00
       1      17          .6219             -91.00
       1      18          .5505             -92.00
       1      19          .4631             -92.00
       1      20          .3587             -93.00
       1      21          .2415             -92.00
       1      22          .1255             -87.00
       1      23          .3849E-01         -54.00
       1      24          .3454E-01          32.00
       1      25          .1880E-01          37.00
       1      26          .8400E-02         -94.00
       1      27          .6393E-02           2.00
       1      28          .2647E-02          60.00
       2       1          .9599             -90.00
       2       2          .9485             -90.00
       2       3          .9431             -90.00
       2       4          .9347             -90.00
       2       5          .9299             -90.00
       2       6          .9239             -90.00
       2       7          .9164             -90.00
       2       8          .9067             -90.00
       2       9          .8941             -90.00
       2      10          .8774             -90.00
       2      11          .8547             -90.00
       2      12          .8232             -90.00
       2      13          .7786             -90.00
       2      14          .7493             -90.00
       2      15          .7136             -91.00
       2      16          .6701             -91.00
       2      17          .6165             -91.00
       2      18          .5502             -92.00
       2      19          .4687             -92.00
       2      20          .3706             -93.00
       2      21          .2588             -92.00
       2      22          .1452             -89.00
       2      23          .5109E-01         -71.00
       2      24          .2493E-01          25.00
       2      25          .1890E-01          50.00
       2      26          .6579E-02        -105.00
       2      27          .7039E-02         -30.00
       2      28          .2606E-02          31.00
       3       1          .8608             -90.00
       3       2          .8513             -90.00
       3       3          .8469             -90.00
       3       4          .8401             -90.00
       3       5          .8363             -90.00
       3       6          .8316             -90.00
       3       7          .8256             -90.00
       3       8          .8180             -90.00
       3       9          .8081             -90.00
       3      10          .7951             -90.00
       3      11          .7774             -90.00
       3      12          .7531             -90.00
       3      13          .7186             -90.00
       3      14          .6959             -90.00
       3      15          .6683             -90.00
       3      16          .6344             -91.00
       3      17          .5926             -91.00
       3      18          .5405             -91.00
       3      19          .4756             -92.00
       3      20          .3956             -92.00
       3      21          .3011             -93.00
       3      22          .1986             -92.00
       3      23          .9997E-01         -90.00
       3      24          .1921E-01         -81.00
       3      25          .1850E-01          83.00
       3      26          .6486E-02         144.00
       3      27          .1168E-01         -84.00
       3      28          .3174E-02         -83.00
       4       1          .7030             -91.00
       4       2          .6961             -90.00
       4       3          .6930             -90.00
       4       4          .6883             -90.00
       4       5          .6857             -90.00
       4       6          .6825             -90.00
       4       7          .6786             -90.00
       4       8          .6736             -90.00
       4       9          .6671             -90.00
       4      10          .6587             -90.00
       4      11          .6473             -90.00
       4      12          .6318             -90.00
       4      13          .6101             -90.00
       4      14          .5958             -90.00
       4      15          .5785             -90.00
       4      16          .5572             -90.00
       4      17          .5309             -90.00
       4      18          .4978             -91.00
       4      19          .4559             -91.00
       4      20          .4028             -92.00
       4      21          .3370             -93.00
       4      22          .2597             -93.00
       4      23          .1742             -96.00
       4      24          .8194E-01        -107.00
       4      25          .1517E-01         168.00
       4      26          .2198E-01         113.00
       4      27          .1228E-01        -158.00
       4      28          .5273E-02         126.00
       5       1          .4972             -91.00
       5       2          .4929             -90.00
       5       3          .4911             -90.00
       5       4          .4884             -90.00
       5       5          .4869             -90.00
       5       6          .4852             -90.00
       5       7          .4830             -90.00
       5       8          .4803             -90.00
       5       9          .4769             -90.00
       5      10          .4725             -90.00
       5      11          .4667             -90.00
       5      12          .4590             -90.00
       5      13          .4483             -90.00
       5      14          .4415             -90.00
       5      15          .4332             -90.00
       5      16          .4232             -90.00
       5      17          .4108             -90.00
       5      18          .3953             -90.00
       5      19          .3754             -91.00
       5      20          .3495             -91.00
       5      21          .3158             -92.00
       5      22          .2733             -93.00
       5      23          .2202             -97.00
       5      24          .1470            -106.00
       5      25          .5402E-01        -123.00
       5      26          .1069E-01         125.00
       5      27          .2111E-01         117.00
       5      28          .1019E-01         -42.00
       6       1          .7074E-02        -180.00
       6       2          .2380E-02         179.00
       6       3          .1666E-02         178.00
       6       4          .9281E-03         176.00
       6       5          .6165E-03         173.00
       6       6          .2937E-03         164.00
       6       7          .1085E-03          52.00
       6       8          .4566E-03          12.00
       6       9          .8693E-03           7.00
       6      10          .1335E-02           5.00
       6      11          .1868E-02           4.00
       6      12          .2487E-02           4.00
       6      13          .3223E-02           4.00
       6      14          .3647E-02           4.00
       6      15          .4121E-02           5.00
       6      16          .4659E-02           6.00
       6      17          .5296E-02           8.00
       6      18          .6111E-02          11.00
       6      19          .7293E-02          15.00
       6      20          .9243E-02          18.00
       6      21          .1259E-01          19.00
       6      22          .1785E-01          13.00
       6      23          .2424E-01          -1.00
       6      24          .2855E-01         -22.00
       6      25          .2701E-01         -44.00
       6      26          .2020E-01         -59.00
       6      27          .1342E-01         -61.00
       6      28          .3141E-02         -23.00
       7       1          .4972              91.00
       7       2          .4930              90.00
       7       3          .4912              90.00
       7       4          .4885              90.00
       7       5          .4871              90.00
       7       6          .4853              90.00
       7       7          .4832              90.00
       7       8          .4805              90.00
       7       9          .4771              90.00
       7      10          .4727              90.00
       7      11          .4671              90.00
       7      12          .4595              90.00
       7      13          .4491              90.00
       7      14          .4426              90.00
       7      15          .4348              90.00
       7      16          .4256              90.00
       7      17          .4146              90.00
       7      18          .4014              90.00
       7      19          .3849              89.00
       7      20          .3639              89.00
       7      21          .3361              87.00
       7      22          .2986              85.00
       7      23          .2472              81.00
       7      24          .1745              73.00
       7      25          .8293E-01          64.00
       7      26          .2109E-01          72.00
       7      27          .6535E-03         -29.00
       7      28          .4586E-02         152.00
       8       1          .8608              90.00
       8       2          .8514              90.00
       8       3          .8470              90.00
       8       4          .8402              90.00
       8       5          .8364              90.00
       8       6          .8317              90.00
       8       7          .8258              90.00
       8       8          .8182              90.00
       8       9          .8084              90.00
       8      10          .7954              90.00
       8      11          .7778              90.00
       8      12          .7538              90.00
       8      13          .7199              90.00
       8      14          .6979              90.00
       8      15          .6713              90.00
       8      16          .6392              91.00
       8      17          .6000              91.00
       8      18          .5518              91.00
       8      19          .4922              91.00
       8      20          .4184              91.00
       8      21          .3299              92.00
       8      22          .2312              95.00
       8      23          .1352             104.00
       8      24          .6153E-01         129.00
       8      25          .3261E-01        -178.00
       8      26          .1463E-01        -153.00
       8      27          .2187E-02         131.00
       8      28          .4056E-02         141.00
       9       1          .9937              90.00
       9       2          .9817              90.00
       9       3          .9760              90.00
       9       4          .9669              90.00
       9       5          .9617              90.00
       9       6          .9553              90.00
       9       7          .9472              90.00
       9       8          .9368              90.00
       9       9          .9232              90.00
       9      10          .9051              90.00
       9      11          .8806              90.00
       9      12          .8468              90.00
       9      13          .7992              90.00
       9      14          .7681              90.00
       9      15          .7307              91.00
       9      16          .6855              91.00
       9      17          .6305              91.00
       9      18          .5633              91.00
       9      19          .4814              92.00
       9      20          .3829              93.00
       9      21          .2704              96.00
       9      22          .1583             107.00
       9      23          .8092E-01         141.00
       9      24          .6553E-01        -171.00
       9      25          .4338E-01        -151.00
       9      26          .1133E-01        -111.00
       9      27          .6379E-02         -75.00
       9      28          .4289E-02        -105.00 ];

%------------------------------------------------------------------------------------


% Sway transfer function
% Dir Freq Amp Phase

Sway_TF_Coefs = [ 1       1          .0000E+00            .00
       1       2          .0000E+00            .00
       1       3          .0000E+00            .00
       1       4          .0000E+00            .00
       1       5          .0000E+00            .00
       1       6          .0000E+00            .00
       1       7          .0000E+00            .00
       1       8          .0000E+00            .00
       1       9          .0000E+00            .00
       1      10          .0000E+00            .00
       1      11          .0000E+00            .00
       1      12          .0000E+00            .00
       1      13          .0000E+00            .00
       1      14          .0000E+00            .00
       1      15          .0000E+00            .00
       1      16          .0000E+00            .00
       1      17          .0000E+00            .00
       1      18          .0000E+00            .00
       1      19          .0000E+00            .00
       1      20          .0000E+00            .00
       1      21          .0000E+00            .00
       1      22          .0000E+00            .00
       1      23          .0000E+00            .00
       1      24          .0000E+00            .00
       1      25          .0000E+00            .00
       1      26          .0000E+00            .00
       1      27          .0000E+00            .00
       1      28          .0000E+00            .00
       2       1          .2568             -90.00
       2       2          .2528             -90.00
       2       3          .2510             -90.00
       2       4          .2482             -90.00
       2       5          .2466             -90.00
       2       6          .2446             -90.00
       2       7          .2422             -90.00
       2       8          .2391             -90.00
       2       9          .2350             -90.00
       2      10          .2297             -90.00
       2      11          .2226             -90.00
       2      12          .2128             -91.00
       2      13          .1991             -91.00
       2      14          .1901             -92.00
       2      15          .1792             -92.00
       2      16          .1658             -93.00
       2      17          .1493             -94.00
       2      18          .1284             -96.00
       2      19          .1018             -98.00
       2      20          .7062E-01         -97.00
       2      21          .5138E-01         -85.00
       2      22          .4509E-01         -91.00
       2      23          .3521E-01        -124.00
       2      24          .3319E-01        -162.00
       2      25          .2665E-01        -176.00
       2      26          .5190E-02        -150.00
       2      27          .1235E-01           9.00
       2      28          .2671E-02          60.00
       3       1          .4962             -90.00
       3       2          .4890             -90.00
       3       3          .4857             -90.00
       3       4          .4808             -90.00
       3       5          .4780             -90.00
       3       6          .4746             -90.00
       3       7          .4704             -90.00
       3       8          .4650             -90.00
       3       9          .4581             -90.00
       3      10          .4491             -90.00
       3      11          .4370             -90.00
       3      12          .4204             -91.00
       3      13          .3971             -91.00
       3      14          .3819             -91.00
       3      15          .3633             -92.00
       3      16          .3404             -93.00
       3      17          .3118             -94.00
       3      18          .2748             -96.00
       3      19          .2259             -98.00
       3      20          .1636             -98.00
       3      21          .1149             -88.00
       3      22          .9738E-01         -86.00
       3      23          .6927E-01        -109.00
       3      24          .5486E-01        -154.00
       3      25          .5399E-01        -179.00
       3      26          .2884E-01        -169.00
       3      27          .1491E-01         -25.00
       3      28          .4201E-02         -78.00
       4       1          .7019             -90.00
       4       2          .6926             -90.00
       4       3          .6886             -90.00
       4       4          .6825             -90.00
       4       5          .6792             -90.00
       4       6          .6751             -90.00
       4       7          .6701             -90.00
       4       8          .6639             -90.00
       4       9          .6559             -90.00
       4      10          .6455             -90.00
       4      11          .6317             -90.00
       4      12          .6130             -91.00
       4      13          .5867             -91.00
       4      14          .5696             -91.00
       4      15          .5486             -92.00
       4      16          .5227             -92.00
       4      17          .4897             -94.00
       4      18          .4459             -95.00
       4      19          .3844             -98.00
       4      20          .2960            -100.00
       4      21          .2064             -92.00
       4      22          .1709             -81.00
       4      23          .1254             -86.00
       4      24          .6504E-01        -112.00
       4      25          .4993E-01        -172.00
       4      26          .5789E-01         176.00
       4      27          .3305E-01        -147.00
       4      28          .8654E-02         144.00
       5       1          .8599             -90.00
       5       2          .8496             -90.00
       5       3          .8454             -90.00
       5       4          .8391             -90.00
       5       5          .8358             -90.00
       5       6          .8317             -90.00
       5       7          .8268             -90.00
       5       8          .8208             -90.00
       5       9          .8132             -90.00
       5      10          .8035             -90.00
       5      11          .7908             -90.00
       5      12          .7738             -91.00
       5      13          .7506             -91.00
       5      14          .7355             -91.00
       5      15          .7171             -92.00
       5      16          .6944             -92.00
       5      17          .6652             -93.00
       5      18          .6254             -95.00
       5      19          .5651             -98.00
       5      20          .4650            -100.00
       5      21          .3352             -96.00
       5      22          .2753             -81.00
       5      23          .2365             -74.00
       5      24          .1652             -70.00
       5      25          .7941E-01         -63.00
       5      26          .4573E-02         -91.00
       5      27          .4332E-01         162.00
       5      28          .2105E-01         -21.00
       6       1          .9931             -90.00
       6       2          .9826             -90.00
       6       3          .9785             -90.00
       6       4          .9727             -90.00
       6       5          .9697             -90.00
       6       6          .9661             -90.00
       6       7          .9619             -90.00
       6       8          .9568             -90.00
       6       9          .9507             -90.00
       6      10          .9431             -90.00
       6      11          .9336             -90.00
       6      12          .9216             -90.00
       6      13          .9061             -91.00
       6      14          .8967             -91.00
       6      15          .8858             -91.00
       6      16          .8730             -92.00
       6      17          .8574             -93.00
       6      18          .8362             -94.00
       6      19          .8006             -97.00
       6      20          .7225            -101.00
       6      21          .5721            -102.00
       6      22          .4573             -91.00
       6      23          .4266             -80.00
       6      24          .3989             -72.00
       6      25          .3498             -63.00
       6      26          .2833             -52.00
       6      27          .2091             -33.00
       6      28          .6854E-01          61.00
       7       1          .8599             -90.00
       7       2          .8496             -90.00
       7       3          .8454             -90.00
       7       4          .8392             -90.00
       7       5          .8359             -90.00
       7       6          .8319             -90.00
       7       7          .8271             -90.00
       7       8          .8211             -90.00
       7       9          .8137             -90.00
       7      10          .8042             -90.00
       7      11          .7920             -90.00
       7      12          .7759             -90.00
       7      13          .7544             -91.00
       7      14          .7409             -91.00
       7      15          .7252             -91.00
       7      16          .7066             -91.00
       7      17          .6847             -92.00
       7      18          .6576             -93.00
       7      19          .6206             -95.00
       7      20          .5567             -99.00
       7      21          .4418            -102.00
       7      22          .3246             -98.00
       7      23          .2403             -92.00
       7      24          .1545             -85.00
       7      25          .7580E-01         -65.00
       7      26          .3657E-01         -17.00
       7      27          .2145E-01          -2.00
       7      28          .8798E-03        -135.00
       8       1          .4962             -90.00
       8       2          .4890             -90.00
       8       3          .4858             -90.00
       8       4          .4808             -90.00
       8       5          .4781             -90.00
       8       6          .4748             -90.00
       8       7          .4706             -90.00
       8       8          .4654             -90.00
       8       9          .4586             -90.00
       8      10          .4498             -90.00
       8      11          .4382             -90.00
       8      12          .4224             -90.00
       8      13          .4006             -90.00
       8      14          .3867             -90.00
       8      15          .3702             -90.00
       8      16          .3506             -91.00
       8      17          .3271             -91.00
       8      18          .2986             -91.00
       8      19          .2630             -92.00
       8      20          .2158             -94.00
       8      21          .1575             -93.00
       8      22          .1065             -87.00
       8      23          .6202E-01         -79.00
       8      24          .3072E-01         -57.00
       8      25          .2230E-01         -55.00
       8      26          .2226E-01        -112.00
       8      27          .1335E-01         165.00
       8      28          .2263E-02          36.00
       9       1          .8674E-07          90.00
       9       2          .8537E-07          90.00
       9       3          .8473E-07          90.00
       9       4          .8375E-07          90.00
       9       5          .8321E-07          90.00
       9       6          .8253E-07          90.00
       9       7          .8168E-07          90.00
       9       8          .8061E-07          90.00
       9       9          .7922E-07          90.00
       9      10          .7740E-07          90.00
       9      11          .7497E-07          90.00
       9      12          .7167E-07          90.00
       9      13          .6711E-07          90.00
       9      14          .6420E-07          90.00
       9      15          .6073E-07          90.00
       9      16          .5662E-07          90.00
       9      17          .5170E-07          90.00
       9      18          .4580E-07          90.00
       9      19          .3859E-07          90.00
       9      20          .2981E-07          91.00
       9      21          .2106E-07          97.00
       9      22          .1470E-07         107.00
       9      23          .8815E-08         116.00
       9      24          .5457E-08         129.00
       9      25          .4639E-08          97.00
       9      26          .4471E-08          29.00
       9      27          .4170E-08         -79.00
       9      28          .5620E-09         178.00 ];
   
%------------------------------------------------------------------------------------
   
   
  
% Heave transfer function
% Dir Freq Amp Phase


Heave_TF_Coefs = [ 1       1          .9989                .00
       1       2          .9927              -1.00
       1       3          .9888              -1.00
       1       4          .9820              -1.00
       1       5          .9778              -1.00
       1       6          .9724              -1.00
       1       7          .9653              -1.00
       1       8          .9557              -1.00
       1       9          .9425              -1.00
       1      10          .9241              -1.00
       1      11          .8977              -1.00
       1      12          .8591              -1.00
       1      13          .8009              -1.00
       1      14          .7611              -1.00
       1      15          .7118              -1.00
       1      16          .6511                .00
       1      17          .5772               2.00
       1      18          .4899               5.00
       1      19          .3922              11.00
       1      20          .2955              25.00
       1      21          .2313              51.00
       1      22          .2464              84.00
       1      23          .2996             100.00
       1      24          .2668             104.00
       1      25          .1391             119.00
       1      26          .5200E-01        -170.00
       1      27          .2824E-01         -96.00
       1      28          .2035E-02         -51.00
       2       1          .9990                .00
       2       2          .9932              -1.00
       2       3          .9895              -1.00
       2       4          .9832              -1.00
       2       5          .9793              -1.00
       2       6          .9743              -1.00
       2       7          .9676              -1.00
       2       8          .9586              -1.00
       2       9          .9463              -1.00
       2      10          .9291              -1.00
       2      11          .9045              -1.00
       2      12          .8683              -1.00
       2      13          .8138              -1.00
       2      14          .7764              -1.00
       2      15          .7301              -1.00
       2      16          .6729                .00
       2      17          .6030               1.00
       2      18          .5197               4.00
       2      19          .4252               9.00
       2      20          .3274              20.00
       2      21          .2491              42.00
       2      22          .2364              74.00
       2      23          .2810              95.00
       2      24          .2652             102.00
       2      25          .1552             116.00
       2      26          .5394E-01         172.00
       2      27          .3163E-01         -98.00
       2      28          .1597E-02         -68.00
       3       1          .9992                .00
       3       2          .9945              -1.00
       3       3          .9916              -1.00
       3       4          .9865              -1.00
       3       5          .9834              -1.00
       3       6          .9794              -1.00
       3       7          .9740              -1.00
       3       8          .9668              -1.00
       3       9          .9569              -1.00
       3      10          .9430              -1.00
       3      11          .9231              -1.00
       3      12          .8938              -1.00
       3      13          .8495              -2.00
       3      14          .8191              -1.00
       3      15          .7813              -1.00
       3      16          .7342              -1.00
       3      17          .6761                .00
       3      18          .6059               2.00
       3      19          .5235               5.00
       3      20          .4311              10.00
       3      21          .3347              21.00
       3      22          .2527              41.00
       3      23          .2286              72.00
       3      24          .2370              93.00
       3      25          .1857             107.00
       3      26          .8344E-01         135.00
       3      27          .3112E-01        -116.00
       3      28          .4636E-02         179.00
       4       1          .9995                .00
       4       2          .9964              -1.00
       4       3          .9944              -1.00
       4       4          .9911              -1.00
       4       5          .9890              -1.00
       4       6          .9863              -1.00
       4       7          .9827              -1.00
       4       8          .9779              -1.00
       4       9          .9713              -1.00
       4      10          .9621              -1.00
       4      11          .9488              -1.00
       4      12          .9293              -2.00
       4      13          .8998              -2.00
       4      14          .8794              -2.00
       4      15          .8541              -2.00
       4      16          .8224              -2.00
       4      17          .7831              -1.00
       4      18          .7349              -1.00
       4      19          .6768                .00
       4      20          .6076               2.00
       4      21          .5240               4.00
       4      22          .4158               7.00
       4      23          .2731              15.00
       4      24          .1627              50.00
       4      25          .1620              91.00
       4      26          .1301             113.00
       4      27          .4539E-01         157.00
       4      28          .7620E-02          80.00
       5       1          .9997                .00
       5       2          .9982              -1.00
       5       3          .9973              -1.00
       5       4          .9956              -1.00
       5       5          .9946              -1.00
       5       6          .9933              -1.00
       5       7          .9915              -1.00
       5       8          .9891              -1.00
       5       9          .9859              -1.00
       5      10          .9814              -1.00
       5      11          .9750              -1.00
       5      12          .9656              -2.00
       5      13          .9516              -2.00
       5      14          .9421              -2.00
       5      15          .9303              -2.00
       5      16          .9159              -2.00
       5      17          .8983              -2.00
       5      18          .8772              -2.00
       5      19          .8521              -3.00
       5      20          .8221              -3.00
       5      21          .7824              -5.00
       5      22          .7149              -9.00
       5      23          .5727             -17.00
       5      24          .3377             -22.00
       5      25          .1293              -3.00
       5      26          .7945E-01          73.00
       5      27          .7851E-01         119.00
       5      28          .1523E-01         -41.00
       6       1          1.000                .00
       6       2          1.000              -1.00
       6       3          1.000              -1.00
       6       4          1.000              -1.00
       6       5          1.000              -1.00
       6       6          1.000              -1.00
       6       7          1.000              -1.00
       6       8          1.000              -1.00
       6       9          1.001              -1.00
       6      10          1.001              -1.00
       6      11          1.001              -1.00
       6      12          1.003              -2.00
       6      13          1.005              -2.00
       6      14          1.007              -2.00
       6      15          1.010              -2.00
       6      16          1.015              -3.00
       6      17          1.022              -3.00
       6      18          1.032              -4.00
       6      19          1.048              -5.00
       6      20          1.072              -7.00
       6      21          1.101             -11.00
       6      22          1.121             -18.00
       6      23          1.059             -31.00
       6      24          .8304             -45.00
       6      25          .5392             -53.00
       6      26          .3117             -51.00
       6      27          .1648             -37.00
       6      28          .3129E-01          46.00
       7       1          .9997                .00
       7       2          .9982              -1.00
       7       3          .9973              -1.00
       7       4          .9956              -1.00
       7       5          .9946              -1.00
       7       6          .9932              -1.00
       7       7          .9915              -1.00
       7       8          .9891              -1.00
       7       9          .9859              -1.00
       7      10          .9813              -1.00
       7      11          .9748              -2.00
       7      12          .9653              -2.00
       7      13          .9510              -2.00
       7      14          .9412              -2.00
       7      15          .9289              -3.00
       7      16          .9135              -3.00
       7      17          .8942              -3.00
       7      18          .8701              -4.00
       7      19          .8401              -5.00
       7      20          .8018              -6.00
       7      21          .7490              -9.00
       7      22          .6608             -15.00
       7      23          .4883             -27.00
       7      24          .2177             -41.00
       7      25          .2397E-01          44.00
       7      26          .7949E-01         113.00
       7      27          .5621E-01         144.00
       7      28          .9525E-02          56.00
       8       1          .9992                .00
       8       2          .9945              -1.00
       8       3          .9916              -1.00
       8       4          .9865              -1.00
       8       5          .9834              -1.00
       8       6          .9793              -1.00
       8       7          .9739              -1.00
       8       8          .9667              -1.00
       8       9          .9567              -1.00
       8      10          .9428              -1.00
       8      11          .9228              -2.00
       8      12          .8933              -2.00
       8      13          .8483              -2.00
       8      14          .8171              -2.00
       8      15          .7778              -3.00
       8      16          .7283              -3.00
       8      17          .6660              -3.00
       8      18          .5885              -2.00
       8      19          .4937              -1.00
       8      20          .3808               1.00
       8      21          .2514               9.00
       8      22          .1253              37.00
       8      23          .1330             107.00
       8      24          .1929             125.00
       8      25          .1406             137.00
       8      26          .5608E-01        -169.00
       8      27          .3373E-01         -61.00
       8      28          .1053E-01         -62.00
       9       1          .9989                .00
       9       2          .9926              -1.00
       9       3          .9888              -1.00
       9       4          .9819              -1.00
       9       5          .9778              -1.00
       9       6          .9724              -1.00
       9       7          .9652              -1.00
       9       8          .9556              -1.00
       9       9          .9424              -1.00
       9      10          .9239              -1.00
       9      11          .8974              -2.00
       9      12          .8584              -2.00
       9      13          .7992              -2.00
       9      14          .7584              -3.00
       9      15          .7073              -3.00
       9      16          .6433              -3.00
       9      17          .5638              -3.00
       9      18          .4664              -1.00
       9      19          .3507               2.00
       9      20          .2218              11.00
       9      21          .1139              50.00
       9      22          .1559             114.00
       9      23          .2405             127.00
       9      24          .2037             130.00
       9      25          .8954E-01         166.00
       9      26          .5844E-01        -106.00
       9      27          .3592E-01         -10.00
       9      28          .9290E-02          42.00 ];

%------------------------------------------------------------------------------------
   
% Roll transfer function
% Dir Freq Amp Phase

 Roll_TF_Coefs = [     1       1          .0000E+00            .00
       1       2          .0000E+00            .00
       1       3          .0000E+00            .00
       1       4          .0000E+00            .00
       1       5          .0000E+00            .00
       1       6          .0000E+00            .00
       1       7          .0000E+00            .00
       1       8          .0000E+00            .00
       1       9          .0000E+00            .00
       1      10          .0000E+00            .00
       1      11          .0000E+00            .00
       1      12          .0000E+00            .00
       1      13          .0000E+00            .00
       1      14          .0000E+00            .00
       1      15          .0000E+00            .00
       1      16          .0000E+00            .00
       1      17          .0000E+00            .00
       1      18          .0000E+00            .00
       1      19          .0000E+00            .00
       1      20          .0000E+00            .00
       1      21          .0000E+00            .00
       1      22          .0000E+00            .00
       1      23          .0000E+00            .00
       1      24          .0000E+00            .00
       1      25          .0000E+00            .00
       1      26          .0000E+00            .00
       1      27          .0000E+00            .00
       1      28          .0000E+00            .00
       2       1          .6576E-03         -93.00
       2       2          .1706E-02         -97.00
       2       3          .2115E-02         -98.00
       2       4          .2692E-02        -100.00
       2       5          .2990E-02        -101.00
       2       6          .3340E-02        -102.00
       2       7          .3756E-02        -103.00
       2       8          .4252E-02        -105.00
       2       9          .4851E-02        -106.00
       2      10          .5580E-02        -109.00
       2      11          .6477E-02        -112.00
       2      12          .7588E-02        -116.00
       2      13          .8960E-02        -121.00
       2      14          .9755E-02        -125.00
       2      15          .1061E-01        -129.00
       2      16          .1151E-01        -136.00
       2      17          .1237E-01        -144.00
       2      18          .1298E-01        -157.00
       2      19          .1281E-01        -177.00
       2      20          .1075E-01         142.00
       2      21          .8749E-02          55.00
       2      22          .1320E-01         -25.00
       2      23          .1632E-01         -64.00
       2      24          .1528E-01         -85.00
       2      25          .1022E-01         -99.00
       2      26          .2186E-02        -114.00
       2      27          .3235E-02          76.00
       2      28          .1434E-03         110.00
       3       1          .1271E-02         -93.00
       3       2          .3299E-02         -97.00
       3       3          .4093E-02         -98.00
       3       4          .5214E-02         -99.00
       3       5          .5796E-02        -100.00
       3       6          .6481E-02        -101.00
       3       7          .7294E-02        -102.00
       3       8          .8271E-02        -104.00
       3       9          .9456E-02        -105.00
       3      10          .1091E-01        -108.00
       3      11          .1272E-01        -110.00
       3      12          .1501E-01        -114.00
       3      13          .1793E-01        -119.00
       3      14          .1969E-01        -123.00
       3      15          .2168E-01        -127.00
       3      16          .2391E-01        -133.00
       3      17          .2634E-01        -140.00
       3      18          .2872E-01        -152.00
       3      19          .3020E-01        -170.00
       3      20          .2802E-01         159.00
       3      21          .1873E-01          98.00
       3      22          .1651E-01          -1.00
       3      23          .2338E-01         -56.00
       3      24          .2515E-01         -81.00
       3      25          .2009E-01         -95.00
       3      26          .8905E-02        -100.00
       3      27          .2596E-02          64.00
       3      28          .9276E-03         -55.00
       4       1          .1797E-02         -93.00
       4       2          .4673E-02         -96.00
       4       3          .5802E-02         -97.00
       4       4          .7402E-02         -99.00
       4       5          .8235E-02         -99.00
       4       6          .9219E-02        -100.00
       4       7          .1039E-01        -101.00
       4       8          .1181E-01        -103.00
       4       9          .1354E-01        -104.00
       4      10          .1569E-01        -106.00
       4      11          .1840E-01        -108.00
       4      12          .2192E-01        -112.00
       4      13          .2658E-01        -116.00
       4      14          .2951E-01        -119.00
       4      15          .3298E-01        -123.00
       4      16          .3713E-01        -128.00
       4      17          .4211E-01        -135.00
       4      18          .4801E-01        -145.00
       4      19          .5421E-01        -160.00
       4      20          .5687E-01         174.00
       4      21          .4517E-01         134.00
       4      22          .2127E-01          77.00
       4      23          .1397E-01         -21.00
       4      24          .2043E-01         -70.00
       4      25          .2155E-01         -86.00
       4      26          .1652E-01         -90.00
       4      27          .6506E-02         -77.00
       4      28          .1253E-02         180.00
       5       1          .2202E-02         -93.00
       5       2          .5732E-02         -95.00
       5       3          .7123E-02         -96.00
       5       4          .9100E-02         -98.00
       5       5          .1013E-01         -98.00
       5       6          .1136E-01         -99.00
       5       7          .1282E-01        -100.00
       5       8          .1460E-01        -101.00
       5       9          .1678E-01        -102.00
       5      10          .1953E-01        -104.00
       5      11          .2305E-01        -106.00
       5      12          .2769E-01        -109.00
       5      13          .3406E-01        -113.00
       5      14          .3821E-01        -115.00
       5      15          .4329E-01        -118.00
       5      16          .4963E-01        -123.00
       5      17          .5775E-01        -129.00
       5      18          .6831E-01        -137.00
       5      19          .8158E-01        -151.00
       5      20          .9378E-01        -173.00
       5      21          .8790E-01         154.00
       5      22          .5652E-01         120.00
       5      23          .2575E-01          92.00
       5      24          .7193E-02          52.00
       5      25          .6499E-02         -50.00
       5      26          .1086E-01         -66.00
       5      27          .1020E-01         -65.00
       5      28          .9792E-03         144.00
       6       1          .2543E-02         -92.00
       6       2          .6628E-02         -94.00
       6       3          .8244E-02         -94.00
       6       4          .1055E-01         -95.00
       6       5          .1175E-01         -96.00
       6       6          .1319E-01         -96.00
       6       7          .1491E-01         -96.00
       6       8          .1701E-01         -97.00
       6       9          .1962E-01         -98.00
       6      10          .2291E-01         -99.00
       6      11          .2720E-01        -100.00
       6      12          .3296E-01        -101.00
       6      13          .4110E-01        -104.00
       6      14          .4656E-01        -105.00
       6      15          .5343E-01        -107.00
       6      16          .6231E-01        -110.00
       6      17          .7419E-01        -114.00
       6      18          .9063E-01        -121.00
       6      19          .1134            -131.00
       6      20          .1400            -150.00
       6      21          .1469            -178.00
       6      22          .1147             156.00
       6      23          .7540E-01         140.00
       6      24          .4660E-01         136.00
       6      25          .2861E-01         142.00
       6      26          .1847E-01         154.00
       6      27          .1099E-01         173.00
       6      28          .3160E-02        -122.00
       7       1          .2202E-02         -92.00
       7       2          .5732E-02         -92.00
       7       3          .7123E-02         -93.00
       7       4          .9100E-02         -93.00
       7       5          .1013E-01         -93.00
       7       6          .1136E-01         -93.00
       7       7          .1282E-01         -93.00
       7       8          .1460E-01         -93.00
       7       9          .1679E-01         -93.00
       7      10          .1953E-01         -93.00
       7      11          .2305E-01         -94.00
       7      12          .2770E-01         -94.00
       7      13          .3410E-01         -95.00
       7      14          .3828E-01         -95.00
       7      15          .4341E-01         -96.00
       7      16          .4986E-01         -98.00
       7      17          .5817E-01        -100.00
       7      18          .6909E-01        -105.00
       7      19          .8308E-01        -113.00
       7      20          .9649E-01        -127.00
       7      21          .9191E-01        -150.00
       7      22          .6122E-01        -168.00
       7      23          .3236E-01        -164.00
       7      24          .1838E-01        -133.00
       7      25          .1491E-01         -84.00
       7      26          .1676E-01         -44.00
       7      27          .1420E-01         -12.00
       7      28          .2464E-02        -129.00
       8       1          .1271E-02         -91.00
       8       2          .3299E-02         -91.00
       8       3          .4093E-02         -91.00
       8       4          .5214E-02         -91.00
       8       5          .5796E-02         -91.00
       8       6          .6481E-02         -91.00
       8       7          .7295E-02         -90.00
       8       8          .8271E-02         -90.00
       8       9          .9457E-02         -90.00
       8      10          .1091E-01         -90.00
       8      11          .1273E-01         -89.00
       8      12          .1502E-01         -89.00
       8      13          .1797E-01         -88.00
       8      14          .1975E-01         -88.00
       8      15          .2178E-01         -88.00
       8      16          .2407E-01         -88.00
       8      17          .2661E-01         -89.00
       8      18          .2916E-01         -91.00
       8      19          .3087E-01         -95.00
       8      20          .2890E-01        -101.00
       8      21          .2018E-01         -97.00
       8      22          .1920E-01         -61.00
       8      23          .2498E-01         -48.00
       8      24          .2494E-01         -42.00
       8      25          .1892E-01         -34.00
       8      26          .5489E-02         -25.00
       8      27          .5027E-02         162.00
       8      28          .1645E-02         133.00
       9       1          .2221E-09          89.00
       9       2          .5760E-09          89.00
       9       3          .7140E-09          89.00
       9       4          .9083E-09          90.00
       9       5          .1009E-08          90.00
       9       6          .1127E-08          90.00
       9       7          .1266E-08          90.00
       9       8          .1433E-08          91.00
       9       9          .1633E-08          91.00
       9      10          .1877E-08          92.00
       9      11          .2175E-08          92.00
       9      12          .2543E-08          93.00
       9      13          .2993E-08          94.00
       9      14          .3251E-08          95.00
       9      15          .3528E-08          95.00
       9      16          .3810E-08          96.00
       9      17          .4068E-08          96.00
       9      18          .4220E-08          96.00
       9      19          .4065E-08          96.00
       9      20          .3313E-08         103.00
       9      21          .3348E-08         138.00
       9      22          .5310E-08         149.00
       9      23          .5952E-08         145.00
       9      24          .4979E-08         146.00
       9      25          .2700E-08         147.00
       9      26          .4839E-09           4.00
       9      27          .1029E-08          -6.00
       9      28          .2137E-09          83.00 ];

%------------------------------------------------------------------------------------
   
% Pitch transfer function
% Dir Freq Amp Pha

Pitch_TF_Coefs = [        1       1          .2478E-02          90.00
       1       2          .6356E-02          89.00
       1       3          .7836E-02          89.00
       1       4          .9887E-02          89.00
       1       5          .1093E-01          89.00
       1       6          .1215E-01          88.00
       1       7          .1357E-01          88.00
       1       8          .1523E-01          88.00
       1       9          .1720E-01          88.00
       1      10          .1954E-01          87.00
       1      11          .2232E-01          87.00
       1      12          .2559E-01          86.00
       1      13          .2939E-01          86.00
       1      14          .3145E-01          85.00
       1      15          .3356E-01          85.00
       1      16          .3563E-01          84.00
       1      17          .3747E-01          83.00
       1      18          .3879E-01          82.00
       1      19          .3905E-01          81.00
       1      20          .3746E-01          80.00
       1      21          .3307E-01          80.00
       1      22          .2538E-01          83.00
       1      23          .1573E-01          99.00
       1      24          .1135E-01         151.00
       1      25          .1353E-01         180.00
       1      26          .6912E-02        -159.00
       1      27          .2496E-02         -46.00
       1      28          .1769E-03         -21.00
       2       1          .2393E-02          90.00
       2       2          .6139E-02          89.00
       2       3          .7570E-02          89.00
       2       4          .9555E-02          89.00
       2       5          .1057E-01          89.00
       2       6          .1174E-01          88.00
       2       7          .1312E-01          88.00
       2       8          .1474E-01          88.00
       2       9          .1665E-01          88.00
       2      10          .1893E-01          87.00
       2      11          .2164E-01          87.00
       2      12          .2486E-01          86.00
       2      13          .2863E-01          86.00
       2      14          .3069E-01          85.00
       2      15          .3284E-01          85.00
       2      16          .3497E-01          84.00
       2      17          .3695E-01          83.00
       2      18          .3850E-01          82.00
       2      19          .3914E-01          81.00
       2      20          .3814E-01          80.00
       2      21          .3455E-01          80.00
       2      22          .2778E-01          82.00
       2      23          .1848E-01          93.00
       2      24          .1109E-01         133.00
       2      25          .1222E-01         177.00
       2      26          .7968E-02        -160.00
       2      27          .2192E-02         -66.00
       2      28          .2507E-03         -87.00
       3       1          .2142E-02          90.00
       3       2          .5503E-02          89.00
       3       3          .6789E-02          89.00
       3       4          .8576E-02          89.00
       3       5          .9489E-02          89.00
       3       6          .1055E-01          89.00
       3       7          .1180E-01          88.00
       3       8          .1327E-01          88.00
       3       9          .1502E-01          88.00
       3      10          .1711E-01          88.00
       3      11          .1962E-01          87.00
       3      12          .2264E-01          87.00
       3      13          .2626E-01          86.00
       3      14          .2829E-01          86.00
       3      15          .3047E-01          85.00
       3      16          .3275E-01          85.00
       3      17          .3503E-01          84.00
       3      18          .3713E-01          83.00
       3      19          .3872E-01          82.00
       3      20          .3924E-01          81.00
       3      21          .3788E-01          80.00
       3      22          .3388E-01          80.00
       3      23          .2682E-01          82.00
       3      24          .1622E-01          91.00
       3      25          .7901E-02         146.00
       3      26          .9080E-02        -164.00
       3      27          .3666E-02        -128.00
       3      28          .6119E-03        -139.00
       4       1          .1743E-02          90.00
       4       2          .4487E-02          89.00
       4       3          .5540E-02          89.00
       4       4          .7007E-02          89.00
       4       5          .7759E-02          89.00
       4       6          .8636E-02          89.00
       4       7          .9667E-02          89.00
       4       8          .1089E-01          88.00
       4       9          .1235E-01          88.00
       4      10          .1411E-01          88.00
       4      11          .1625E-01          88.00
       4      12          .1887E-01          87.00
       4      13          .2209E-01          87.00
       4      14          .2397E-01          86.00
       4      15          .2604E-01          86.00
       4      16          .2832E-01          85.00
       4      17          .3078E-01          85.00
       4      18          .3336E-01          84.00
       4      19          .3593E-01          83.00
       4      20          .3817E-01          81.00
       4      21          .3961E-01          80.00
       4      22          .3960E-01          78.00
       4      23          .3731E-01          76.00
       4      24          .3012E-01          70.00
       4      25          .1436E-01          67.00
       4      26          .4569E-02         158.00
       4      27          .6391E-02        -152.00
       4      28          .9489E-03          99.00
       5       1          .1222E-02          90.00
       5       2          .3159E-02          89.00
       5       3          .3904E-02          89.00
       5       4          .4945E-02          89.00
       5       5          .5480E-02          89.00
       5       6          .6105E-02          89.00
       5       7          .6843E-02          89.00
       5       8          .7720E-02          89.00
       5       9          .8774E-02          88.00
       5      10          .1005E-01          88.00
       5      11          .1163E-01          88.00
       5      12          .1358E-01          88.00
       5      13          .1606E-01          87.00
       5      14          .1754E-01          87.00
       5      15          .1922E-01          87.00
       5      16          .2114E-01          86.00
       5      17          .2332E-01          86.00
       5      18          .2581E-01          85.00
       5      19          .2861E-01          84.00
       5      20          .3168E-01          82.00
       5      21          .3487E-01          80.00
       5      22          .3791E-01          77.00
       5      23          .4031E-01          73.00
       5      24          .3977E-01          64.00
       5      25          .2961E-01          52.00
       5      26          .1412E-01          54.00
       5      27          .3511E-02          99.00
       5      28          .1487E-02         -48.00
       6       1          .3581E-04         -90.00
       6       2          .6099E-04         -83.00
       6       3          .6988E-04         -80.00
       6       4          .8260E-04         -76.00
       6       5          .8945E-04         -73.00
       6       6          .9786E-04         -71.00
       6       7          .1084E-03         -68.00
       6       8          .1220E-03         -64.00
       6       9          .1402E-03         -61.00
       6      10          .1654E-03         -56.00
       6      11          .2015E-03         -52.00
       6      12          .2559E-03         -47.00
       6      13          .3420E-03         -42.00
       6      14          .4047E-03         -39.00
       6      15          .4881E-03         -37.00
       6      16          .6014E-03         -35.00
       6      17          .7603E-03         -34.00
       6      18          .9899E-03         -34.00
       6      19          .1332E-02         -34.00
       6      20          .1854E-02         -38.00
       6      21          .2654E-02         -44.00
       6      22          .3837E-02         -56.00
       6      23          .5309E-02         -76.00
       6      24          .6203E-02        -102.00
       6      25          .5421E-02        -126.00
       6      26          .4043E-02        -134.00
       6      27          .2991E-02        -128.00
       6      28          .1312E-02         -83.00
       7       1          .1294E-02         -90.00
       7       2          .3279E-02         -90.00
       7       3          .4041E-02         -89.00
       7       4          .5104E-02         -89.00
       7       5          .5650E-02         -89.00
       7       6          .6289E-02         -89.00
       7       7          .7042E-02         -89.00
       7       8          .7938E-02         -89.00
       7       9          .9014E-02         -89.00
       7      10          .1032E-01         -88.00
       7      11          .1194E-01         -88.00
       7      12          .1395E-01         -88.00
       7      13          .1650E-01         -87.00
       7      14          .1804E-01         -87.00
       7      15          .1980E-01         -87.00
       7      16          .2182E-01         -87.00
       7      17          .2415E-01         -86.00
       7      18          .2685E-01         -86.00
       7      19          .2998E-01         -86.00
       7      20          .3354E-01         -86.00
       7      21          .3745E-01         -87.00
       7      22          .4142E-01         -88.00
       7      23          .4437E-01         -92.00
       7      24          .4219E-01        -101.00
       7      25          .2834E-01        -109.00
       7      26          .1117E-01         -93.00
       7      27          .4868E-02          -8.00
       7      28          .1610E-02        -136.00
       8       1          .2214E-02         -90.00
       8       2          .5623E-02         -89.00
       8       3          .6925E-02         -89.00
       8       4          .8734E-02         -89.00
       8       5          .9658E-02         -89.00
       8       6          .1073E-01         -89.00
       8       7          .1199E-01         -89.00
       8       8          .1348E-01         -88.00
       8       9          .1525E-01         -88.00
       8      10          .1737E-01         -88.00
       8      11          .1991E-01         -87.00
       8      12          .2298E-01         -87.00
       8      13          .2667E-01         -86.00
       8      14          .2876E-01         -86.00
       8      15          .3101E-01         -86.00
       8      16          .3338E-01         -85.00
       8      17          .3578E-01         -85.00
       8      18          .3804E-01         -84.00
       8      19          .3979E-01         -84.00
       8      20          .4038E-01         -83.00
       8      21          .3889E-01         -81.00
       8      22          .3436E-01         -77.00
       8      23          .2644E-01         -68.00
       8      24          .1720E-01         -41.00
       8      25          .1450E-01          10.00
       8      26          .1173E-01          50.00
       8      27          .5495E-02         132.00
       8      28          .1288E-02         130.00
       9       1          .2550E-02         -90.00
       9       2          .6476E-02         -89.00
       9       3          .7972E-02         -89.00
       9       4          .1004E-01         -89.00
       9       5          .1110E-01         -89.00
       9       6          .1233E-01         -89.00
       9       7          .1376E-01         -88.00
       9       8          .1544E-01         -88.00
       9       9          .1744E-01         -88.00
       9      10          .1980E-01         -88.00
       9      11          .2261E-01         -87.00
       9      12          .2593E-01         -87.00
       9      13          .2979E-01         -86.00
       9      14          .3191E-01         -85.00
       9      15          .3408E-01         -85.00
       9      16          .3623E-01         -84.00
       9      17          .3818E-01         -84.00
       9      18          .3960E-01         -83.00
       9      19          .3992E-01         -82.00
       9      20          .3825E-01         -81.00
       9      21          .3351E-01         -77.00
       9      22          .2544E-01         -67.00
       9      23          .1741E-01         -36.00
       9      24          .1819E-01          11.00
       9      25          .1806E-01          38.00
       9      26          .9741E-02          90.00
       9      27          .5696E-02        -170.00
       9      28          .1443E-02        -138.00 ];

   
%------------------------------------------------------------------------------------

% Yaw transfer function
% Dir Freq Amp Pha

Yaw_TF_Coefs = [        1       1          .0000E+00            .00
       1       2          .0000E+00            .00
       1       3          .0000E+00            .00
       1       4          .0000E+00            .00
       1       5          .0000E+00            .00
       1       6          .0000E+00            .00
       1       7          .0000E+00            .00
       1       8          .0000E+00            .00
       1       9          .0000E+00            .00
       1      10          .0000E+00            .00
       1      11          .0000E+00            .00
       1      12          .0000E+00            .00
       1      13          .0000E+00            .00
       1      14          .0000E+00            .00
       1      15          .0000E+00            .00
       1      16          .0000E+00            .00
       1      17          .0000E+00            .00
       1      18          .0000E+00            .00
       1      19          .0000E+00            .00
       1      20          .0000E+00            .00
       1      21          .0000E+00            .00
       1      22          .0000E+00            .00
       1      23          .0000E+00            .00
       1      24          .0000E+00            .00
       1      25          .0000E+00            .00
       1      26          .0000E+00            .00
       1      27          .0000E+00            .00
       1      28          .0000E+00            .00
       2       1          .5603E-03         180.00
       2       2          .1411E-02        -179.00
       2       3          .1730E-02        -179.00
       2       4          .2165E-02        -179.00
       2       5          .2384E-02        -178.00
       2       6          .2637E-02        -178.00
       2       7          .2929E-02        -178.00
       2       8          .3268E-02        -178.00
       2       9          .3662E-02        -178.00
       2      10          .4121E-02        -177.00
       2      11          .4653E-02        -177.00
       2      12          .5259E-02        -176.00
       2      13          .5929E-02        -176.00
       2      14          .6274E-02        -175.00
       2      15          .6611E-02        -175.00
       2      16          .6917E-02        -174.00
       2      17          .7160E-02        -173.00
       2      18          .7282E-02        -173.00
       2      19          .7179E-02        -172.00
       2      20          .6670E-02        -171.00
       2      21          .5671E-02        -167.00
       2      22          .4559E-02        -160.00
       2      23          .3079E-02        -155.00
       2      24          .1013E-02        -157.00
       2      25          .9384E-03          61.00
       2      26          .1411E-02          76.00
       2      27          .3657E-03         178.00
       2      28          .1163E-03        -134.00
       3       1          .9707E-03         180.00
       3       2          .2447E-02        -179.00
       3       3          .3000E-02        -179.00
       3       4          .3758E-02        -179.00
       3       5          .4141E-02        -178.00
       3       6          .4583E-02        -178.00
       3       7          .5095E-02        -178.00
       3       8          .5691E-02        -178.00
       3       9          .6388E-02        -178.00
       3      10          .7204E-02        -177.00
       3      11          .8158E-02        -177.00
       3      12          .9265E-02        -176.00
       3      13          .1052E-01        -176.00
       3      14          .1119E-01        -175.00
       3      15          .1187E-01        -175.00
       3      16          .1253E-01        -175.00
       3      17          .1312E-01        -174.00
       3      18          .1357E-01        -173.00
       3      19          .1370E-01        -173.00
       3      20          .1318E-01        -172.00
       3      21          .1169E-01        -170.00
       3      22          .9897E-02        -163.00
       3      23          .7550E-02        -156.00
       3      24          .3901E-02        -150.00
       3      25          .1605E-03          16.00
       3      26          .2510E-02          59.00
       3      27          .1572E-02         111.00
       3      28          .4857E-03         129.00
       4       1          .1121E-02         180.00
       4       2          .2829E-02        -179.00
       4       3          .3472E-02        -179.00
       4       4          .4355E-02        -179.00
       4       5          .4801E-02        -179.00
       4       6          .5318E-02        -178.00
       4       7          .5919E-02        -178.00
       4       8          .6622E-02        -178.00
       4       9          .7449E-02        -178.00
       4      10          .8426E-02        -178.00
       4      11          .9583E-02        -177.00
       4      12          .1095E-01        -177.00
       4      13          .1256E-01        -176.00
       4      14          .1345E-01        -176.00
       4      15          .1440E-01        -176.00
       4      16          .1538E-01        -175.00
       4      17          .1638E-01        -175.00
       4      18          .1732E-01        -174.00
       4      19          .1806E-01        -174.00
       4      20          .1820E-01        -174.00
       4      21          .1705E-01        -173.00
       4      22          .1530E-01        -168.00
       4      23          .1326E-01        -161.00
       4      24          .9693E-02        -152.00
       4      25          .4774E-02        -132.00
       4      26          .1386E-02         -27.00
       4      27          .2972E-02          65.00
       4      28          .1037E-02         -25.00
       5       1          .9717E-03        -180.00
       5       2          .2455E-02        -179.00
       5       3          .3015E-02        -179.00
       5       4          .3786E-02        -179.00
       5       5          .4178E-02        -179.00
       5       6          .4632E-02        -178.00
       5       7          .5162E-02        -178.00
       5       8          .5785E-02        -178.00
       5       9          .6522E-02        -178.00
       5      10          .7401E-02        -178.00
       5      11          .8456E-02        -178.00
       5      12          .9730E-02        -177.00
       5      13          .1127E-01        -177.00
       5      14          .1217E-01        -177.00
       5      15          .1315E-01        -176.00
       5      16          .1422E-01        -176.00
       5      17          .1540E-01        -176.00
       5      18          .1668E-01        -175.00
       5      19          .1802E-01        -176.00
       5      20          .1906E-01        -177.00
       5      21          .1881E-01        -178.00
       5      22          .1756E-01        -175.00
       5      23          .1662E-01        -168.00
       5      24          .1508E-01        -159.00
       5      25          .1220E-01        -146.00
       5      26          .8238E-02        -123.00
       5      27          .3944E-02         -74.00
       5      28          .2462E-02         161.00
       6       1          .4646E-05         114.00
       6       2          .2964E-04        -106.00
       6       3          .4281E-04        -106.00
       6       4          .6175E-04        -107.00
       6       5          .7174E-04        -107.00
       6       6          .8368E-04        -108.00
       6       7          .9820E-04        -108.00
       6       8          .1162E-03        -110.00
       6       9          .1389E-03        -111.00
       6      10          .1688E-03        -113.00
       6      11          .2095E-03        -115.00
       6      12          .2683E-03        -118.00
       6      13          .3610E-03        -123.00
       6      14          .4300E-03        -126.00
       6      15          .5250E-03        -129.00
       6      16          .6618E-03        -134.00
       6      17          .8691E-03        -140.00
       6      18          .1201E-02        -149.00
       6      19          .1751E-02        -163.00
       6      20          .2601E-02         174.00
       6      21          .3397E-02         141.00
       6      22          .3406E-02         109.00
       6      23          .2999E-02          88.00
       6      24          .2773E-02          80.00
       6      25          .2987E-02          76.00
       6      26          .3196E-02          68.00
       6      27          .3172E-02          67.00
       6      28          .1856E-02          90.00
       7       1          .9684E-03            .00
       7       2          .2441E-02          -1.00
       7       3          .2995E-02          -1.00
       7       4          .3756E-02          -1.00
       7       5          .4142E-02          -1.00
       7       6          .4589E-02          -2.00
       7       7          .5109E-02          -2.00
       7       8          .5719E-02          -2.00
       7       9          .6438E-02          -2.00
       7      10          .7290E-02          -2.00
       7      11          .8307E-02          -3.00
       7      12          .9519E-02          -3.00
       7      13          .1096E-01          -4.00
       7      14          .1176E-01          -4.00
       7      15          .1262E-01          -4.00
       7      16          .1351E-01          -5.00
       7      17          .1440E-01          -6.00
       7      18          .1519E-01          -7.00
       7      19          .1572E-01          -8.00
       7      20          .1576E-01          -8.00
       7      21          .1567E-01          -5.00
       7      22          .1593E-01          -3.00
       7      23          .1519E-01          -4.00
       7      24          .1269E-01          -4.00
       7      25          .8232E-02          -3.00
       7      26          .2486E-02          10.00
       7      27          .2068E-02         149.00
       7      28          .1063E-02          14.00
       8       1          .9688E-03            .00
       8       2          .2438E-02          -1.00
       8       3          .2988E-02          -1.00
       8       4          .3741E-02          -1.00
       8       5          .4121E-02          -2.00
       8       6          .4558E-02          -2.00
       8       7          .5065E-02          -2.00
       8       8          .5654E-02          -2.00
       8       9          .6341E-02          -2.00
       8      10          .7143E-02          -3.00
       8      11          .8077E-02          -3.00
       8      12          .9153E-02          -4.00
       8      13          .1036E-01          -4.00
       8      14          .1099E-01          -5.00
       8      15          .1162E-01          -6.00
       8      16          .1220E-01          -6.00
       8      17          .1269E-01          -7.00
       8      18          .1298E-01          -8.00
       8      19          .1294E-01         -10.00
       8      20          .1239E-01         -11.00
       8      21          .1125E-01         -12.00
       8      22          .9309E-02         -15.00
       8      23          .6185E-02         -20.00
       8      24          .2305E-02         -31.00
       8      25          .8453E-03         154.00
       8      26          .9221E-03          92.00
       8      27          .1487E-02         -25.00
       8      28          .4696E-03         -38.00
       9       1          .1956E-09        -180.00
       9       2          .4918E-09         179.00
       9       3          .6024E-09         179.00
       9       4          .7534E-09         178.00
       9       5          .8294E-09         178.00
       9       6          .9167E-09         178.00
       9       7          .1017E-08         178.00
       9       8          .1134E-08         178.00
       9       9          .1269E-08         177.00
       9      10          .1426E-08         177.00
       9      11          .1606E-08         177.00
       9      12          .1809E-08         176.00
       9      13          .2029E-08         175.00
       9      14          .2138E-08         175.00
       9      15          .2242E-08         174.00
       9      16          .2330E-08         173.00
       9      17          .2389E-08         172.00
       9      18          .2399E-08         171.00
       9      19          .2333E-08         170.00
       9      20          .2162E-08         168.00
       9      21          .1868E-08         166.00
       9      22          .1398E-08         161.00
       9      23          .7436E-09         152.00
       9      24          .1082E-09         109.00
       9      25          .2234E-09         -49.00
       9      26          .2580E-09        -168.00
       9      27          .2074E-09         106.00
       9      28          .1028E-09         -62.00 ];
   