chooseToPlot = input('Want to PLOT results? 1 (yes) 0 (no) : ');
close all;
%Plot Results
Vessel_results;
Control_results;
K_p = [0.0016, 0.0050, 0.0050];
K_p2 = [0.0325, 0.1, 0.1];
%Plot Allication Results
    T_qpOASES = [simout_T_ref(:,1), simout_T_ref(:,2), simout_T_ref(:,3)];
    Tp = [Tp_thruster_1,Tp_thruster_2,Tp_thruster_3];
    Alpha_qpOASES = [simout_Alpha_ref(:,1), simout_Alpha_ref(:,2), simout_Alpha_ref(:,3)];
    Alpha_actual_filtered = [alpha_meas_filtered_thruster_1, alpha_meas_filtered_thruster_2, alpha_meas_filtered_thruster_3];
    Alpha_actual_meas = [alpha_meas_thruster_1, alpha_meas_thruster_2, alpha_meas_thruster_3];
    n_RPM = [n_RPM_thruster_1, n_RPM_thruster_2, n_RPM_thruster_3];
    s_qpOASES = simout_s;
    time_qpOASES = time;
    status_qpOASES = simout_status;

%% QpOASES
if(chooseToPlot == 1)
    totalPowerConsumption = zeros(length(time),1);
    totalPowerConsumptionTp =  zeros(length(time),1);
    for i = 1:1:length(time);    
        for j = 1:3
            %totalPowerConsumption(i) = totalPowerConsumption(i) + K_p(j)*((abs(n_RPM(i,j))/60)^3); %totalPowerConsumption(i) + Control.Allocation.Params.powerThrustRelation_Vec(j)*((abs(Tp(i,j)))^(3/2));  %2*pi*1025*Par.Thruster{j}.K_Q0*((abs(n_RPM(i))/60)^3)*Par.Thruster{j}.D^5;  %Control.Allocation.Params.powerThrustRelation_Vec(j)*((abs(Tp(i,j)))^(3/2));
            totalPowerConsumption(i) = totalPowerConsumption(i) + K_p2(j)*((abs(n_RPM(i,j))/60)^2);
            totalPowerConsumptionTp(i) = totalPowerConsumptionTp(i) + Control.Allocation.Params.powerThrustRelation_Vec(j)*((abs(Tp(i,j)))^(3/2));
        end
    end
    sumTotalPower = 0;
    sumTotalPowerTp = 0;
    for i = 1:1:length(time)-1
        sumTotalPower = sumTotalPower + totalPowerConsumption(i)*(time(i+1)-time(i));
        sumTotalPowerTp = sumTotalPowerTp + totalPowerConsumptionTp(i)*(time(i+1)-time(i));
    end
    sumTotalPower = sum(totalPowerConsumption)
    sumTotalPowerTp = sum(totalPowerConsumptionTp)

    %Thrust
    figure('name','Thrust setpoint for thrusters');
    hold on;
    grid on;
    for i=1:nt
        s = cell(1, size(nt,1));
        subplot(3,1,i)
        plot(time, T_qpOASES(:,i),'k');
        hold on;
        plot(time, Tp(:,i),'r');
        set(0,'DefaultAxesColorOrder',[1 0 0],...
            'DefaultAxesLineStyleOrder','-|--|:|-.', 'defaultlinelinewidth',2)
        xlabel('Time [s]');
        ylabel('Thrust[N]');
        if(i == 1)
            legend('T_d', 'T');
            title('Bau Azimuth: T');
        elseif(i==2)
            title('Stern Starboard Pod: T');
        else
            title('Stern Port Pod: T');
        end
        xmin = min(min(T_qpOASES(:,i)),min(Tp(:,i)))-1e-14;
        xmax = max(max(T_qpOASES(:,i)),max(Tp(:,i)))+1e-14;
        ymin = min(time);
        ymax = max(time);
        axis([ymin ymax xmin xmax]);
    end 
  
    %Azimuth angles       
    figure('name','Azimuth setpoint angles');
    hold on;
    grid on;
    for i=1:na
        s = cell(1, size(nt,1));
        
        subplot(3,1,i);
        hold on;
        plot(time, Alpha_actual_meas(:,i),'r')
        plot(time, Alpha_actual_filtered(:,i),'b')
        plot(time, (180/pi).*Alpha_qpOASES(:,i),'k')
        set(0,'DefaultAxesColorOrder',[1 0 0],...
            'DefaultAxesLineStyleOrder','-|--|:|-.', 'defaultlinelinewidth',2)
        xlabel('Time [s]');
        ylabel('\alpha_d [DEG]');
        if(i == 1)
            legend('Alpha_{meas}', 'Alpha_{filtered}', 'Alpha_{d}');
            title('Bau Azimuth: \alpha_d');
        elseif(i==2)
            title('Stern Starboard Pod: \alpha_d');
        else
            title('Stern Port Pod: \alpha_d');
        end
        
%         xmin = min(min(Alpha_actual_meas(:,i),Alpha_actual_filtered(:,i),(180/pi).*Alpha_qpOASES_plot(:,i)))-1;
%         xmax = max(max(Alpha_actual_meas(:,i),Alpha_actual_filtered(:,i),(180/pi).*Alpha_qpOASES_plot(:,i)))+1;
%         ymin = min(time);
%         ymax = max(time);
        %axis([time(1) time(length(time)) xmin xmax]);
    end 
    
    
    %Power Consumption
    figure('name','Power Consumption');
    grid on;
    hold on;
    set(0,'DefaultAxesColorOrder',[1 0 0],...
            'DefaultAxesLineStyleOrder','-|--|:|-.', 'defaultlinelinewidth',2)
    plot(time, totalPowerConsumption, 'k');
    xlabel('Time [s]');
    ylabel('Power Consumption [W]');
    legend('Power');
    title('Total Power Consumption for thrusters');
    hold off;
    
    %Power Consumption Tp
    figure('name','Power Consumption Tp');
    grid on;
    hold on;
    set(0,'DefaultAxesColorOrder',[1 0 0],...
            'DefaultAxesLineStyleOrder','-|--|:|-.', 'defaultlinelinewidth',2)
    plot(time, totalPowerConsumptionTp, 'k');
    xlabel('Time [s]');
    ylabel('Power Consumption [W] (from Tp)');
    legend('Power');
    title('Total Power Consumption for thrusters');
    hold off;
    

end

