%+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 
%
% Savedata.m
%
% Project:	"Marine Cybernetics Simulator: MCSim"
%
% Abstract:	Save simulation data in structure 'Saved' to mat-file
% 
% Inputs:	-
%
% Outputs:	-
%	
% Calls:	-
%		
% Author:	yvind Smogeli, Summer 2003
%
%+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 


disp('Save simulation data in structure "Saved" to mat-file')
Comment = input('Comment to simulation: ', 's');
filename = input('File name *.mat (empty for no save): ','s');

if ~strcmp(filename,'')

	filename = ['Results\', filename];
	
	save(filename, 'Saved', 'Sim', 'Par', 'Glob', 'Control', 'Comment')  
		
	disp(' ')
	disp(['Simulation settings and results stored in ', filename, '.mat'])
	disp('Comment:')
	disp(sprintf(Comment))
	
end


