Control.Allocation.stepLength = 0.1;

%% QP Optimization configuration
%SuperVisor
Control.Allocation.Supervisor.T_lim = 5;
Control.Allocation.Supervisor.Plim = 0.4;
Control.Allocation.Supervisor.numSectors = 9;

Control.Allocation.Params.ly = [0, 0.123, -0.123];
Control.Allocation.Params.lx = [0.55, -0.875, -0.875];
nt = 3;
na = 3;
ns = 3;


%SectorSolutions
Control.Allocation.Params.rhow = 1025;
%Precalculations:
Control.Allocation.Params.powerThrustRelation_Vec = [41.9190; 1.5844; 1.5844];
Control.Allocation.Params.q = nt/(sum(Control.Allocation.Params.powerThrustRelation_Vec));
% 
% 
% Cost Function
Control.Allocation.Params.W_u = zeros(nt,nt);
for i = 1:nt
    % Multiply by 2 due to QP solver notation
    Control.Allocation.Params.W_u(i,i) = 2*(Control.Allocation.Params.q*Control.Allocation.Params.powerThrustRelation_Vec(i,1));
end

Control.Allocation.Params.alpha_weight = 0.6;
Control.Allocation.Params.Omega_alpha = Control.Allocation.Params.alpha_weight.*eye(na,na);
Control.Allocation.Params.s_weight =  1000;
Control.Allocation.Params.Q_s = Control.Allocation.Params.s_weight.*eye(ns,ns);

%Singularity Variables
Control.Allocation.Params.Singularity.rho = 1.0;
Control.Allocation.Params.Singularity.eps = 1e-9;

% Equality Constraint
Control.Allocation.Params.lbA_eps = zeros(3,1);
Control.Allocation.Params.ubA_eps = zeros(3,1);


%Inequality Constraints: Eivind Ruth
Control.Allocation.Params.T_max = [7.33;21.9;21.9];
Control.Allocation.Params.T_min = [-7.33;0.00005;0.00005];
Control.Allocation.Params.delta_T_max = 0.2.*Control.Allocation.Params.T_max;%*5.*ones(nt,1);
Control.Allocation.Params.delta_T_min = -Control.Allocation.Params.delta_T_max; %-3.*ones(nt,1);
Control.Allocation.Params.delta_alpha_max = (1/Control.Allocation.stepLength).*[90*pi/180; 1*pi/180; 1*pi/180]';
Control.Allocation.Params.s_max = 1e9*ones(3,1);
Control.Allocation.Params.s_min = -Control.Allocation.Params.s_max;
Control.Allocation.Params.c1 = 0.9;

%% Setup Superviosor Sector Solutions

%Sector 1
    Control.Allocation.Params.SectorSolution{1}.alpha_max = (pi/180).*[90;70;109];       
    Control.Allocation.Params.SectorSolution{1}.alpha_min = (pi/180).*[90;-109;-70];

%Sector 2
    Control.Allocation.Params.SectorSolution{2}.alpha_max = (pi/180).*[90;70;159];       
    Control.Allocation.Params.SectorSolution{2}.alpha_min = (pi/180).*[90;-109;-20];

%Sector 3    
    Control.Allocation.Params.SectorSolution{3}.alpha_max = (pi/180).*[90;70;-110];       
    Control.Allocation.Params.SectorSolution{3}.alpha_min = (pi/180).*[90;-109;-150];    
    
%Sector 4
    Control.Allocation.Params.SectorSolution{4}.alpha_max = (pi/180).*[90;20;109];       
    Control.Allocation.Params.SectorSolution{4}.alpha_min = (pi/180).*[90;-159;-70];    
    
%Sector 5
    Control.Allocation.Params.SectorSolution{5}.alpha_max = (pi/180).*[90;20;159];       
    Control.Allocation.Params.SectorSolution{5}.alpha_min = (pi/180).*[90;-159;-20];    
    
%Sector 6
    Control.Allocation.Params.SectorSolution{6}.alpha_max = (pi/180).*[90;20;-110];       
    Control.Allocation.Params.SectorSolution{6}.alpha_min = (pi/180).*[90;-159;-150];    
    
%Sector 7
    Control.Allocation.Params.SectorSolution{7}.alpha_max = (pi/180).*[90;150;109];       
    Control.Allocation.Params.SectorSolution{7}.alpha_min = (pi/180).*[90;110;-70];    
    
%Sector 8
    Control.Allocation.Params.SectorSolution{8}.alpha_max = (pi/180).*[90;150;159];       
    Control.Allocation.Params.SectorSolution{8}.alpha_min = (pi/180).*[90;110;-20];
    
%Sector 9
    Control.Allocation.Params.SectorSolution{9}.alpha_max = (pi/180).*[90;150;-110];       
    Control.Allocation.Params.SectorSolution{9}.alpha_min = (pi/180).*[90;110;-150];    
    
Control.Allocation.NumSectors = length(Control.Allocation.Params.SectorSolution);