/*
  *
  *   --- THIS FILE GENERATED BY S-FUNCTION BUILDER: 3.0 ---
  *
  *   This file is a wrapper S-function produced by the S-Function
  *   Builder which only recognizes certain fields.  Changes made
  *   outside these fields will be lost the next time the block is
  *   used to load, edit, and resave this file. This file will be overwritten
  *   by the S-function Builder block. If you want to edit this file by hand, 
  *   you must change it only in the area defined as:  
  *
  *        %%%-SFUNWIZ_wrapper_XXXXX_Changes_BEGIN 
  *            Your Changes go here
  *        %%%-SFUNWIZ_wrapper_XXXXXX_Changes_END
  *
  *   For better compatibility with the Real-Time Workshop, the
  *   "wrapper" S-function technique is used.  This is discussed
  *   in the Real-Time Workshop User's Manual in the Chapter titled,
  *   "Wrapper S-functions".
  *
  *   Created: Mon Jul  2 21:52:46 2012
  */


/*
 * Include Files
 *
 */
#if defined(MATLAB_MEX_FILE)
#include "tmwtypes.h"
#include "simstruc_types.h"
#else
#include "rtwtypes.h"
#endif

/* %%%-SFUNWIZ_wrapper_includes_Changes_BEGIN --- EDIT HERE TO _END */
#include <math.h>
#include <stdio.h>
#include "tmwtypes.h"
#include "qld.c"
/* %%%-SFUNWIZ_wrapper_includes_Changes_END --- EDIT HERE TO _BEGIN */
#define u_width 81
#define y_width 1
/*
 * Create external references here.  
 *
 */
/* %%%-SFUNWIZ_wrapper_externs_Changes_BEGIN --- EDIT HERE TO _END */
#define n_r 3																/* Number of rotatable thrusters */
#define n_f 0																/* Number of fixed thrusters (0 == disabled tunnel thruster)*/
#define n_T (n_r + n_f)														/* Number of Thrusters */
#define n_A n_T															/* Number of Azimuth Angles (Inc Fixed angles and rot angles)*/
#define n_tau 3															/* Number of control inputs */
#define n_var (n_T + n_A + 3)												/* Number of variables (to optimize) */
#define n_constr_lin_upper_T (0*2*n_T)											/* Number of inequality constraints to linearize upper Thrust (each thruster) design to prevent chattering in azimuth angle */
#define n_constr_lin_lower_T (0*n_tau)											/* Number of inequality constraints to linearize lower Thrust (each thruster) design to prevent chattering in azimuth angle */
#define n_constr (n_tau + n_constr_lin_upper_T + n_constr_lin_lower_T)		/* Total number of constraints (equality and inequality) */
#define lwar_ (n_var*n_var*3+10*n_var+(n_constr)*2)						/* Dimension of real working array (See size in "qld.c")*/



/* Convert C array to FORTRAN array - made by Hkon H. Solberg (2004)*/
void c2f_matrix(double *pa, double *temp, int m,int n)
{
   int i,j;
   for (i=0; i<n; i++)     /* loop thru columns */
      for (j=0; j<m; j++)  /* loop thru row     */
         temp[m*i+j] = pa[j*n+i];
}
/* %%%-SFUNWIZ_wrapper_externs_Changes_END --- EDIT HERE TO _BEGIN */

/*
 * Output functions
 *
 */
void qpSolverAlpha_Outputs_wrapper(const real_T *H,
                          const real_T *g,
                          const real_T *A,
                          const real_T *lb,
                          const real_T *ub,
                          const real_T *lbA,
                          const real_T *ubA,
                          real_T *solution)
{
/* %%%-SFUNWIZ_wrapper_Outputs_Changes_BEGIN --- EDIT HERE TO _END */
int m = n_constr;		// Number of constraints
int me = 3;			// Number of equality constraints
int mmax = m+1;     	// Max number of constraints (Need to be 1 greater than m according to qld.c)
int n = n_var;			// Number of variabels
int nmax = n_var;		// Max Number of varabels
int mnn = m + 2*n;    // Per definition mnn must be m = m + n + n (According to qld.c)
int iout = 1;			
int iprint = 0;			/* No error messages */
int lwar = lwar_;		/* Dimension of real working array */
int liwar = n_var;		/* Dimension of integer working array */
int ifail, iwar[n_var];
double eps1 = 2.2e-16; /* Machine precision */

//The vectors must be defined by consts, using the defined const.
// atemp and htemp is 1-D vector of the matrices sent to qld.c
double x[n_var], lambda_vec[n_constr + 2*n_var],war[lwar_], atemp[n_var*(n_constr+1)], htemp[n_var*n_var];
//Need to expand A to A_qld to conform to the qld.c notation. Also the inputs lbA and ubA must be redefined in b_qld
double H_qld[n_var][n_var],g_qld[n_var];
double A_qld[(n_constr+1)][n_var], b_qld[n_constr+1], lb_qld[n_var], ub_qld[n_var];

int i,j,k;
/* Compute the constraints */
	for (i=0; i<n_constr+1; i++)
	{
        b_qld[i] = 0.0;
		for (j=0; j<n_var; j++) 
			A_qld[i][j] = 0.0;
	}

//Compying the H matrix sent in to the quad solver
k = 0;
for(i = 0; i < n_var; i++){
    for(j = 0; j < n_var; j++){
        H_qld[i][j] = H[k];
        k++;
    }
    g_qld[i] = g[i];
    lb_qld[i] = lb[i];
    ub_qld[i] = ub[i];
    x[i] = 0.0;
}

//Equality Constraint
k = 0;
for(i = 0; i<n_tau; i++){
    for(j = 0; j<n_var; j++){
        A_qld[i][j] = A[k];
        k++;
    }
    b_qld[i] = -ubA[i];
}
//DO NOT RESET k for the inequality constraint
//Inequality Constraint (Was designed in Simulink as A*x <= ubA -> qld.c requices atemp*x + b >= 0)
//for(i=n_tau; i < n_constr; i++){
//    for(j=0; j<n_var; j++){
//        A_qld[i][j] = -A[k];
//        k++;
//    }
//    b_qld[i] = -lbA[i];
//}


/* Convert the matrices from C storage format (row-wise) to
	   FORTRAN storage format (column-wise), because the QP-solver
	   is FORTRAN code converted to C */
//c2f_h_matrix(H_qld,htemp,m,m);
    for (i=1; i<=n_var; i++){     /* loop thru columns */
      for (j=1; j<=n_var; j++){  /* loop thru row     */
         htemp[(n_var*(i-1)+j-1)] = H_qld[j-1][i-1];
      }
    }

////c2f_a_matrix(A_qld,atemp,3+1,m);
    for (i=1; i<=n_var; i++){     /* loop thru columns */
      for (j=1; j<=(n_constr+1); j++){  /* loop thru row     */
         atemp[((n_constr+1)*(i-1)+j-1)] = A_qld[j-1][i-1];
      }
    }

    iwar[0] = 1;

    ql0001_(&m,&me,&mmax,&n,&nmax,&mnn, htemp, g_qld, atemp, 
		b_qld, lb_qld, ub_qld, x, lambda_vec, &iout, &ifail, &iprint, war, &lwar, iwar, &liwar, &eps1);


solution[0] = 0;
//Calculate the Cost Function
for(i = 0; i < n_var; i++){
    solution[0] = solution[0] + 0.5*H_qld[i][i]*x[i]*x[i] + g_qld[i]*x[i];
}
for(i = 1; i < 10; i++){
    solution[i] = x[i-1];
}
solution[10] = ifail;
/* %%%-SFUNWIZ_wrapper_Outputs_Changes_END --- EDIT HERE TO _BEGIN */
}
